from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class EventType(IntEnum):
    DOMFocusIn = auto()
    DOMFocusOut = auto()
    DOMActivate = auto()
    click = auto()
    mousedown = auto()
    mouseup = auto()
    mouseover = auto()
    mousemove = auto()
    mouseout = auto()
    DOMSubtreeModified = auto()
    DOMNodeInserted = auto()
    DOMNodeRemoved = auto()
    DOMNodeRemovedFromDocument = auto()
    DOMNodeInsertedIntoDocument = auto()
    DOMAttrModified = auto()
    DOMCharacterDataModified = auto()
